%define real_name OOTools

Summary:	Class utility functions
Name:		perl-%{real_name}
Version:	2.21
Release:	%mkrel 1
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source0:	http://search.cpan.org/CPAN/authors/id/D/DO/DOMIZIO/%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:	perl-CGI
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This is a micro-weight module that (right now) exports only a few functions of
general utility in Class operations.

%prep

%setup -q -n %{real_name}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}

%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Object/*
%{perl_vendorlib}/Package/*
%{perl_vendorlib}/Class/*
%{_mandir}/*/*


%changelog
* Mon May 14 2007 Oden Eriksson <oeriksson@mandriva.com> 2.21-1mdv2008.0
+ Revision: 26692
- fix deps
- Import perl-OOTools



* Mon May 14 2007 Oden Eriksson <oeriksson@mandriva.com> 2.21-1mdv2007.1
- initial Mandriva package 
